/*-----------------------------------------------------------------------------------
INITIALISATION DE LA LIBRAIRIE AOS POUR L'ANIMATION DES BLOCS DE l'EDITEUR GUTENBERG
-------------------------------------------------------------------------------------*/

/*
Source Librairie AOS: https://github.com/michalsnik/aos/tree/v2#-animations

On transmet au script une variable PHP via wp_localize_script()
l' objet javascript récupéré est DisableBlockAnimationOnDevice
un tableau associatif avec la clé: device 
On accède a la valeur du paramètre comme ceci:
DisableBlockAnimationOnDevice['device']

DisableBlockAnimationOnDevice['device'] sert de condition
pour inhiber l'animation des blocs selon
le type d'appareil: Mobile ou Mobile & Tablette

wp_localize_script() insére le HTML suivant dans la page:

<script id="eccp-aos-init-script-js-extra">
	var DisableBlockAnimationOnDevice = [{"device":"phone"}];
</script>

*/
jQuery(document).ready(function($) {
	
	if (typeof AOS != 'undefined') {
		
		// pour Debug
		// console.log('disable:',DisableBlockAnimationOnDevice['device']);
		
		// on inhibe l'animation sur Mobile
		if (DisableBlockAnimationOnDevice['device'] == 'phone'){
			AOS.init({
				disable: 'phone'
			});
		// on inhibe l'animation sur Mobile & Tablette
		}else if ((DisableBlockAnimationOnDevice['device'] == 'mobile')) {
			AOS.init({
				disable: 'mobile'
			});	
		// On initialise la librairie AOS, l'animation des blocs est active
		// quelque soit le type d'appareil
		}else{
			AOS.init();
		}
		
	}

}); 